// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/monitor.proto

package interfaces

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ServicesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Methods []*ServicesItems `protobuf:"bytes,1,rep,name=Methods,proto3" json:"Methods,omitempty"`
}

func (x *ServicesResponse) Reset() {
	*x = ServicesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServicesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServicesResponse) ProtoMessage() {}

func (x *ServicesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServicesResponse.ProtoReflect.Descriptor instead.
func (*ServicesResponse) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{0}
}

func (x *ServicesResponse) GetMethods() []*ServicesItems {
	if x != nil {
		return x.Methods
	}
	return nil
}

type ParameterFunction struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty"`
	Send string `protobuf:"bytes,2,opt,name=Send,proto3" json:"Send,omitempty"`
	Recv string `protobuf:"bytes,3,opt,name=Recv,proto3" json:"Recv,omitempty"`
}

func (x *ParameterFunction) Reset() {
	*x = ParameterFunction{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ParameterFunction) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ParameterFunction) ProtoMessage() {}

func (x *ParameterFunction) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ParameterFunction.ProtoReflect.Descriptor instead.
func (*ParameterFunction) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{1}
}

func (x *ParameterFunction) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ParameterFunction) GetSend() string {
	if x != nil {
		return x.Send
	}
	return ""
}

func (x *ParameterFunction) GetRecv() string {
	if x != nil {
		return x.Recv
	}
	return ""
}

type Vault struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name    string   `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name"`       // @gotags: yaml:"name"
	Address string   `protobuf:"bytes,2,opt,name=Address,proto3" json:"Address,omitempty" yaml:"address"` // @gotags: yaml:"address"
	Token   string   `protobuf:"bytes,3,opt,name=Token,proto3" json:"Token,omitempty" yaml:"token"`     // @gotags: yaml:"token"
	Keys    []string `protobuf:"bytes,4,rep,name=Keys,proto3" json:"Keys,omitempty" yaml:"keys"`       // @gotags: yaml:"keys"
}

func (x *Vault) Reset() {
	*x = Vault{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vault) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vault) ProtoMessage() {}

func (x *Vault) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vault.ProtoReflect.Descriptor instead.
func (*Vault) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{2}
}

func (x *Vault) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Vault) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Vault) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

func (x *Vault) GetKeys() []string {
	if x != nil {
		return x.Keys
	}
	return nil
}

type RouterListener struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name             string `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                          // @gotags: yaml:"name" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"
	Pem              string `protobuf:"bytes,2,opt,name=Pem,proto3" json:"Pem,omitempty" yaml:"pem" gorm:"column:pem" mapstructure:"pem"`                            // @gotags: yaml:"pem"  gorm:"column:pem" mapstructure:"pem"
	Port             int32  `protobuf:"varint,3,opt,name=Port,proto3" json:"Port,omitempty" yaml:"port" validate:"required,min=1,max=65535" gorm:"column:port" mapstructure:"port"`                         // @gotags: yaml:"port" validate:"required,min=1,max=65535" gorm:"column:port" mapstructure:"port"
	Listen           string `protobuf:"bytes,4,opt,name=Listen,proto3" json:"Listen,omitempty" yaml:"listen" validate:"required,hostname_rfc1123" gorm:"column:listen" mapstructure:"listen"`                      // @gotags: yaml:"listen" validate:"required,hostname_rfc1123" gorm:"column:listen" mapstructure:"listen"
	Secure           bool   `protobuf:"varint,5,opt,name=Secure,proto3" json:"Secure,omitempty" yaml:"secure" gorm:"column:secure" mapstructure:"secure"`                     // @gotags: yaml:"secure" gorm:"column:secure" mapstructure:"secure"
	AutoReloadPemDir bool   `protobuf:"varint,6,opt,name=AutoReloadPemDir,proto3" json:"AutoReloadPemDir,omitempty" yaml:"autoReloadPemDir" gorm:"column:autoReloadPemDir" mapstructure:"autoReloadPemDir"` // @gotags: yaml:"autoReloadPemDir" gorm:"column:autoReloadPemDir" mapstructure:"autoReloadPemDir"
	Vault            *Vault `protobuf:"bytes,7,opt,name=Vault,proto3" json:"Vault,omitempty" yaml:"vault" gorm:"-" mapstructure:"-"`                        // @gotags: yaml:"vault" gorm:"-" mapstructure:"-"
}

func (x *RouterListener) Reset() {
	*x = RouterListener{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouterListener) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouterListener) ProtoMessage() {}

func (x *RouterListener) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouterListener.ProtoReflect.Descriptor instead.
func (*RouterListener) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{3}
}

func (x *RouterListener) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RouterListener) GetPem() string {
	if x != nil {
		return x.Pem
	}
	return ""
}

func (x *RouterListener) GetPort() int32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *RouterListener) GetListen() string {
	if x != nil {
		return x.Listen
	}
	return ""
}

func (x *RouterListener) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *RouterListener) GetAutoReloadPemDir() bool {
	if x != nil {
		return x.AutoReloadPemDir
	}
	return false
}

func (x *RouterListener) GetVault() *Vault {
	if x != nil {
		return x.Vault
	}
	return nil
}

type ServicesItems struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Service        string               `protobuf:"bytes,1,opt,name=Service,proto3" json:"Service,omitempty"`
	Method         string               `protobuf:"bytes,2,opt,name=Method,proto3" json:"Method,omitempty"`
	FullMethod     string               `protobuf:"bytes,3,opt,name=FullMethod,proto3" json:"FullMethod,omitempty"`
	HttpTranslator []string             `protobuf:"bytes,4,rep,name=HttpTranslator,proto3" json:"HttpTranslator,omitempty"`
	Input          []*ParameterFunction `protobuf:"bytes,5,rep,name=Input,proto3" json:"Input,omitempty"`
	Output         []*ParameterFunction `protobuf:"bytes,6,rep,name=Output,proto3" json:"Output,omitempty"`
	ServerStream   bool                 `protobuf:"varint,7,opt,name=ServerStream,proto3" json:"ServerStream,omitempty"`
	ClientStream   bool                 `protobuf:"varint,8,opt,name=ClientStream,proto3" json:"ClientStream,omitempty"`
	ProtoReference string               `protobuf:"bytes,9,opt,name=ProtoReference,proto3" json:"ProtoReference,omitempty"`
}

func (x *ServicesItems) Reset() {
	*x = ServicesItems{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServicesItems) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServicesItems) ProtoMessage() {}

func (x *ServicesItems) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServicesItems.ProtoReflect.Descriptor instead.
func (*ServicesItems) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{4}
}

func (x *ServicesItems) GetService() string {
	if x != nil {
		return x.Service
	}
	return ""
}

func (x *ServicesItems) GetMethod() string {
	if x != nil {
		return x.Method
	}
	return ""
}

func (x *ServicesItems) GetFullMethod() string {
	if x != nil {
		return x.FullMethod
	}
	return ""
}

func (x *ServicesItems) GetHttpTranslator() []string {
	if x != nil {
		return x.HttpTranslator
	}
	return nil
}

func (x *ServicesItems) GetInput() []*ParameterFunction {
	if x != nil {
		return x.Input
	}
	return nil
}

func (x *ServicesItems) GetOutput() []*ParameterFunction {
	if x != nil {
		return x.Output
	}
	return nil
}

func (x *ServicesItems) GetServerStream() bool {
	if x != nil {
		return x.ServerStream
	}
	return false
}

func (x *ServicesItems) GetClientStream() bool {
	if x != nil {
		return x.ClientStream
	}
	return false
}

func (x *ServicesItems) GetProtoReference() string {
	if x != nil {
		return x.ProtoReference
	}
	return ""
}

// Monitor sections
type MonitorRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DisableHostInfo bool `protobuf:"varint,1,opt,name=DisableHostInfo,proto3" json:"DisableHostInfo,omitempty"`
}

func (x *MonitorRequest) Reset() {
	*x = MonitorRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonitorRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonitorRequest) ProtoMessage() {}

func (x *MonitorRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonitorRequest.ProtoReflect.Descriptor instead.
func (*MonitorRequest) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{5}
}

func (x *MonitorRequest) GetDisableHostInfo() bool {
	if x != nil {
		return x.DisableHostInfo
	}
	return false
}

type RateLimit struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ID      string  `protobuf:"bytes,1,opt,name=ID,proto3" json:"ID,omitempty"`
	Alias   string  `protobuf:"bytes,2,opt,name=Alias,proto3" json:"Alias,omitempty"`
	Type    string  `protobuf:"bytes,3,opt,name=Type,proto3" json:"Type,omitempty"`
	Limit   float64 `protobuf:"fixed64,4,opt,name=Limit,proto3" json:"Limit,omitempty"`
	Current int64   `protobuf:"varint,5,opt,name=Current,proto3" json:"Current,omitempty"`
}

func (x *RateLimit) Reset() {
	*x = RateLimit{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RateLimit) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RateLimit) ProtoMessage() {}

func (x *RateLimit) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RateLimit.ProtoReflect.Descriptor instead.
func (*RateLimit) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{6}
}

func (x *RateLimit) GetID() string {
	if x != nil {
		return x.ID
	}
	return ""
}

func (x *RateLimit) GetAlias() string {
	if x != nil {
		return x.Alias
	}
	return ""
}

func (x *RateLimit) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RateLimit) GetLimit() float64 {
	if x != nil {
		return x.Limit
	}
	return 0
}

func (x *RateLimit) GetCurrent() int64 {
	if x != nil {
		return x.Current
	}
	return 0
}

type MonitorResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ServicesName string       `protobuf:"bytes,1,opt,name=ServicesName,proto3" json:"servicesName,omitempty"` // @gotags: json:"servicesName,omitempty"
	Time         int64        `protobuf:"varint,2,opt,name=Time,proto3" json:"time,omitempty"`                // @gotags: json:"time,omitempty"
	Host         *Host        `protobuf:"bytes,3,opt,name=Host,proto3" json:"host,omitempty"`                 // @gotags: json:"host,omitempty"
	Services     *Services    `protobuf:"bytes,4,opt,name=Services,proto3" json:"services,omitempty"`         // @gotags: json:"services,omitempty"
	RateLimit    []*RateLimit `protobuf:"bytes,5,rep,name=RateLimit,proto3" json:"rateLimit,omitempty"`       // @gotags: json:"rateLimit,omitempty"
}

func (x *MonitorResponse) Reset() {
	*x = MonitorResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonitorResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonitorResponse) ProtoMessage() {}

func (x *MonitorResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonitorResponse.ProtoReflect.Descriptor instead.
func (*MonitorResponse) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{7}
}

func (x *MonitorResponse) GetServicesName() string {
	if x != nil {
		return x.ServicesName
	}
	return ""
}

func (x *MonitorResponse) GetTime() int64 {
	if x != nil {
		return x.Time
	}
	return 0
}

func (x *MonitorResponse) GetHost() *Host {
	if x != nil {
		return x.Host
	}
	return nil
}

func (x *MonitorResponse) GetServices() *Services {
	if x != nil {
		return x.Services
	}
	return nil
}

func (x *MonitorResponse) GetRateLimit() []*RateLimit {
	if x != nil {
		return x.RateLimit
	}
	return nil
}

type Cpu struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UsagePercent float32 `protobuf:"fixed32,1,opt,name=UsagePercent,proto3" json:"usagePercent,omitempty"` // @gotags: json:"usagePercent,omitempty"
}

func (x *Cpu) Reset() {
	*x = Cpu{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Cpu) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Cpu) ProtoMessage() {}

func (x *Cpu) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Cpu.ProtoReflect.Descriptor instead.
func (*Cpu) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{8}
}

func (x *Cpu) GetUsagePercent() float32 {
	if x != nil {
		return x.UsagePercent
	}
	return 0
}

type Memory struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Total        uint64  `protobuf:"varint,1,opt,name=Total,proto3" json:"total,omitempty"`                // @gotags: json:"total,omitempty"
	TotalString  string  `protobuf:"bytes,2,opt,name=TotalString,proto3" json:"totalString,omitempty"`     // @gotags: json:"totalString,omitempty"
	Usage        uint64  `protobuf:"varint,3,opt,name=Usage,proto3" json:"usage,omitempty"`                // @gotags: json:"usage,omitempty"
	UsageString  string  `protobuf:"bytes,4,opt,name=UsageString,proto3" json:"usageString,omitempty"`     // @gotags: json:"usageString,omitempty"
	UsagePercent float32 `protobuf:"fixed32,5,opt,name=UsagePercent,proto3" json:"usagePercent,omitempty"` // @gotags: json:"usagePercent,omitempty"
}

func (x *Memory) Reset() {
	*x = Memory{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Memory) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Memory) ProtoMessage() {}

func (x *Memory) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Memory.ProtoReflect.Descriptor instead.
func (*Memory) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{9}
}

func (x *Memory) GetTotal() uint64 {
	if x != nil {
		return x.Total
	}
	return 0
}

func (x *Memory) GetTotalString() string {
	if x != nil {
		return x.TotalString
	}
	return ""
}

func (x *Memory) GetUsage() uint64 {
	if x != nil {
		return x.Usage
	}
	return 0
}

func (x *Memory) GetUsageString() string {
	if x != nil {
		return x.UsageString
	}
	return ""
}

func (x *Memory) GetUsagePercent() float32 {
	if x != nil {
		return x.UsagePercent
	}
	return 0
}

type Host struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cpu      *Cpu      `protobuf:"bytes,1,opt,name=Cpu,proto3" json:"cpu,omitempty"`           // @gotags: json:"cpu,omitempty"
	Memory   *Memory   `protobuf:"bytes,2,opt,name=Memory,proto3" json:"memory,omitempty"`     // @gotags: json:"memory,omitempty"
	HostInfo *HostInfo `protobuf:"bytes,3,opt,name=HostInfo,proto3" json:"hostInfo,omitempty"` // @gotags: json:"hostInfo,omitempty"
}

func (x *Host) Reset() {
	*x = Host{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Host) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Host) ProtoMessage() {}

func (x *Host) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Host.ProtoReflect.Descriptor instead.
func (*Host) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{10}
}

func (x *Host) GetCpu() *Cpu {
	if x != nil {
		return x.Cpu
	}
	return nil
}

func (x *Host) GetMemory() *Memory {
	if x != nil {
		return x.Memory
	}
	return nil
}

func (x *Host) GetHostInfo() *HostInfo {
	if x != nil {
		return x.HostInfo
	}
	return nil
}

type HostInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Hostname             string `protobuf:"bytes,1,opt,name=Hostname,proto3" json:"hostname,omitempty"`                          // @gotags: json:"hostname,omitempty"
	Uptime               uint64 `protobuf:"varint,2,opt,name=Uptime,proto3" json:"uptime,omitempty"`                             // @gotags: json:"uptime,omitempty"
	BootTime             uint64 `protobuf:"varint,3,opt,name=BootTime,proto3" json:"bootTime,omitempty"`                         // @gotags: json:"bootTime,omitempty"
	Procs                uint64 `protobuf:"varint,4,opt,name=Procs,proto3" json:"procs,omitempty"`                               // @gotags: json:"procs,omitempty"
	OS                   string `protobuf:"bytes,5,opt,name=OS,proto3" json:"os,omitempty"`                                      // @gotags: json:"os,omitempty"
	Platform             string `protobuf:"bytes,6,opt,name=Platform,proto3" json:"platform,omitempty"`                          // @gotags: json:"platform,omitempty"
	PlatformFamily       string `protobuf:"bytes,7,opt,name=PlatformFamily,proto3" json:"platformFamily,omitempty"`              // @gotags: json:"platformFamily,omitempty"
	PlatformVersion      string `protobuf:"bytes,8,opt,name=PlatformVersion,proto3" json:"platformVersion,omitempty"`            // @gotags: json:"platformVersion,omitempty"
	KernelVersion        string `protobuf:"bytes,9,opt,name=KernelVersion,proto3" json:"kernelVersion,omitempty"`                // @gotags: json:"kernelVersion,omitempty"
	KernelArch           string `protobuf:"bytes,10,opt,name=KernelArch,proto3" json:"kernelArch,omitempty"`                     // @gotags: json:"kernelArch,omitempty"
	VirtualizationSystem string `protobuf:"bytes,11,opt,name=VirtualizationSystem,proto3" json:"virtualizationSystem,omitempty"` // @gotags: json:"virtualizationSystem,omitempty"
	VirtualizationRole   string `protobuf:"bytes,12,opt,name=VirtualizationRole,proto3" json:"virtualizationRole,omitempty"`     // @gotags: json:"virtualizationRole,omitempty"
	HostID               string `protobuf:"bytes,13,opt,name=HostID,proto3" json:"hostID,omitempty"`                             // @gotags: json:"hostID,omitempty"
}

func (x *HostInfo) Reset() {
	*x = HostInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HostInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HostInfo) ProtoMessage() {}

func (x *HostInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HostInfo.ProtoReflect.Descriptor instead.
func (*HostInfo) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{11}
}

func (x *HostInfo) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

func (x *HostInfo) GetUptime() uint64 {
	if x != nil {
		return x.Uptime
	}
	return 0
}

func (x *HostInfo) GetBootTime() uint64 {
	if x != nil {
		return x.BootTime
	}
	return 0
}

func (x *HostInfo) GetProcs() uint64 {
	if x != nil {
		return x.Procs
	}
	return 0
}

func (x *HostInfo) GetOS() string {
	if x != nil {
		return x.OS
	}
	return ""
}

func (x *HostInfo) GetPlatform() string {
	if x != nil {
		return x.Platform
	}
	return ""
}

func (x *HostInfo) GetPlatformFamily() string {
	if x != nil {
		return x.PlatformFamily
	}
	return ""
}

func (x *HostInfo) GetPlatformVersion() string {
	if x != nil {
		return x.PlatformVersion
	}
	return ""
}

func (x *HostInfo) GetKernelVersion() string {
	if x != nil {
		return x.KernelVersion
	}
	return ""
}

func (x *HostInfo) GetKernelArch() string {
	if x != nil {
		return x.KernelArch
	}
	return ""
}

func (x *HostInfo) GetVirtualizationSystem() string {
	if x != nil {
		return x.VirtualizationSystem
	}
	return ""
}

func (x *HostInfo) GetVirtualizationRole() string {
	if x != nil {
		return x.VirtualizationRole
	}
	return ""
}

func (x *HostInfo) GetHostID() string {
	if x != nil {
		return x.HostID
	}
	return ""
}

type ServicesInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Version   string `protobuf:"bytes,1,opt,name=Version,proto3" json:"version,omitempty"`     // @gotags: json:"version,omitempty"
	GitCommit string `protobuf:"bytes,2,opt,name=GitCommit,proto3" json:"gitCommit,omitempty"` // @gotags: json:"gitCommit,omitempty"
	GoVersion string `protobuf:"bytes,3,opt,name=GoVersion,proto3" json:"goVersion,omitempty"` // @gotags: json:"goVersion,omitempty"
	Compiler  string `protobuf:"bytes,4,opt,name=Compiler,proto3" json:"compiler,omitempty"`   // @gotags: json:"compiler,omitempty"
	BuildTime string `protobuf:"bytes,5,opt,name=BuildTime,proto3" json:"buildTime,omitempty"` // @gotags: json:"buildTime,omitempty"
}

func (x *ServicesInfo) Reset() {
	*x = ServicesInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServicesInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServicesInfo) ProtoMessage() {}

func (x *ServicesInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServicesInfo.ProtoReflect.Descriptor instead.
func (*ServicesInfo) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{12}
}

func (x *ServicesInfo) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *ServicesInfo) GetGitCommit() string {
	if x != nil {
		return x.GitCommit
	}
	return ""
}

func (x *ServicesInfo) GetGoVersion() string {
	if x != nil {
		return x.GoVersion
	}
	return ""
}

func (x *ServicesInfo) GetCompiler() string {
	if x != nil {
		return x.Compiler
	}
	return ""
}

func (x *ServicesInfo) GetBuildTime() string {
	if x != nil {
		return x.BuildTime
	}
	return ""
}

type Services struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Runtime      string        `protobuf:"bytes,1,opt,name=Runtime,proto3" json:"runtime,omitempty"`            // @gotags: json:"runtime,omitempty"
	NumGoroutine int32         `protobuf:"varint,2,opt,name=NumGoroutine,proto3" json:"numGoroutine,omitempty"` // @gotags: json:"numGoroutine,omitempty"
	Pid          int32         `protobuf:"varint,3,opt,name=Pid,proto3" json:"pid,omitempty"`                   // @gotags: json:"pid,omitempty"
	Cpu          *Cpu          `protobuf:"bytes,4,opt,name=Cpu,proto3" json:"cpu,omitempty"`                    // @gotags: json:"cpu,omitempty"
	Memory       *Memory       `protobuf:"bytes,5,opt,name=Memory,proto3" json:"memory,omitempty"`              // @gotags: json:"memory,omitempty"
	ServicesInfo *ServicesInfo `protobuf:"bytes,6,opt,name=ServicesInfo,proto3" json:"servicesInfo,omitempty"`  // @gotags: json:"servicesInfo,omitempty"
}

func (x *Services) Reset() {
	*x = Services{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_monitor_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Services) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Services) ProtoMessage() {}

func (x *Services) ProtoReflect() protoreflect.Message {
	mi := &file_proto_monitor_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Services.ProtoReflect.Descriptor instead.
func (*Services) Descriptor() ([]byte, []int) {
	return file_proto_monitor_proto_rawDescGZIP(), []int{13}
}

func (x *Services) GetRuntime() string {
	if x != nil {
		return x.Runtime
	}
	return ""
}

func (x *Services) GetNumGoroutine() int32 {
	if x != nil {
		return x.NumGoroutine
	}
	return 0
}

func (x *Services) GetPid() int32 {
	if x != nil {
		return x.Pid
	}
	return 0
}

func (x *Services) GetCpu() *Cpu {
	if x != nil {
		return x.Cpu
	}
	return nil
}

func (x *Services) GetMemory() *Memory {
	if x != nil {
		return x.Memory
	}
	return nil
}

func (x *Services) GetServicesInfo() *ServicesInfo {
	if x != nil {
		return x.ServicesInfo
	}
	return nil
}

var File_proto_monitor_proto protoreflect.FileDescriptor

var file_proto_monitor_proto_rawDesc = []byte{
	0x0a, 0x13, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x1a,
	0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x45, 0x0a, 0x10,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x31, 0x0a, 0x07, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x17, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x73, 0x49, 0x74, 0x65, 0x6d, 0x73, 0x52, 0x07, 0x4d, 0x65, 0x74, 0x68,
	0x6f, 0x64, 0x73, 0x22, 0x4f, 0x0a, 0x11, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72,
	0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x53, 0x65, 0x6e, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x53, 0x65, 0x6e, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x52, 0x65, 0x63, 0x76, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x52, 0x65, 0x63, 0x76, 0x22, 0x5f, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x12, 0x12, 0x0a,
	0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x18, 0x0a, 0x07, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x54,
	0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x12, 0x12, 0x0a, 0x04, 0x4b, 0x65, 0x79, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52,
	0x04, 0x4b, 0x65, 0x79, 0x73, 0x22, 0xcd, 0x01, 0x0a, 0x0e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72,
	0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03,
	0x50, 0x65, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x50, 0x65, 0x6d, 0x12, 0x12,
	0x0a, 0x04, 0x50, 0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x50, 0x6f,
	0x72, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65,
	0x63, 0x75, 0x72, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75,
	0x72, 0x65, 0x12, 0x2a, 0x0a, 0x10, 0x41, 0x75, 0x74, 0x6f, 0x52, 0x65, 0x6c, 0x6f, 0x61, 0x64,
	0x50, 0x65, 0x6d, 0x44, 0x69, 0x72, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x10, 0x41, 0x75,
	0x74, 0x6f, 0x52, 0x65, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x65, 0x6d, 0x44, 0x69, 0x72, 0x12, 0x25,
	0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e,
	0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x05,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x22, 0xe1, 0x02, 0x0a, 0x0d, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x49, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x12, 0x16, 0x0a, 0x06, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x46, 0x75, 0x6c,
	0x6c, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x46,
	0x75, 0x6c, 0x6c, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x26, 0x0a, 0x0e, 0x48, 0x74, 0x74,
	0x70, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x09, 0x52, 0x0e, 0x48, 0x74, 0x74, 0x70, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x6f,
	0x72, 0x12, 0x31, 0x0a, 0x05, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1b, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x72, 0x61,
	0x6d, 0x65, 0x74, 0x65, 0x72, 0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x05, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x12, 0x33, 0x0a, 0x06, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x18, 0x06,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e,
	0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x06, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x22, 0x0a, 0x0c, 0x53, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x0c, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x12, 0x22, 0x0a,
	0x0c, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x0c, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x72, 0x65, 0x61,
	0x6d, 0x12, 0x26, 0x0a, 0x0e, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65,
	0x6e, 0x63, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x50, 0x72, 0x6f, 0x74, 0x6f,
	0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x22, 0x3a, 0x0a, 0x0e, 0x4d, 0x6f, 0x6e,
	0x69, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x28, 0x0a, 0x0f, 0x44,
	0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0f, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x48, 0x6f, 0x73,
	0x74, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0x75, 0x0a, 0x09, 0x52, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x6d,
	0x69, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x49, 0x44, 0x12, 0x14, 0x0a, 0x05, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x41, 0x6c, 0x69, 0x61, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05,
	0x4c, 0x69, 0x6d, 0x69, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x4c, 0x69, 0x6d,
	0x69, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x07, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x22, 0xd0, 0x01, 0x0a,
	0x0f, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x22, 0x0a, 0x0c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x04, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x04, 0x48, 0x6f, 0x73, 0x74,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65,
	0x72, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x52, 0x04, 0x48, 0x6f, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x08,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12,
	0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x52, 0x08, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x31, 0x0a, 0x09,
	0x52, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x13, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x52, 0x61, 0x74, 0x65, 0x4c,
	0x69, 0x6d, 0x69, 0x74, 0x52, 0x09, 0x52, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x22,
	0x29, 0x0a, 0x03, 0x43, 0x70, 0x75, 0x12, 0x22, 0x0a, 0x0c, 0x55, 0x73, 0x61, 0x67, 0x65, 0x50,
	0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0c, 0x55, 0x73,
	0x61, 0x67, 0x65, 0x50, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x22, 0x9c, 0x01, 0x0a, 0x06, 0x4d,
	0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x54, 0x6f, 0x74, 0x61, 0x6c, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x04, 0x52, 0x05, 0x54, 0x6f, 0x74, 0x61, 0x6c, 0x12, 0x20, 0x0a, 0x0b, 0x54,
	0x6f, 0x74, 0x61, 0x6c, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x54, 0x6f, 0x74, 0x61, 0x6c, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x12, 0x14, 0x0a,
	0x05, 0x55, 0x73, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52, 0x05, 0x55, 0x73,
	0x61, 0x67, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x55, 0x73, 0x61, 0x67, 0x65, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x55, 0x73, 0x61, 0x67, 0x65, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x12, 0x22, 0x0a, 0x0c, 0x55, 0x73, 0x61, 0x67, 0x65, 0x50, 0x65,
	0x72, 0x63, 0x65, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0c, 0x55, 0x73, 0x61,
	0x67, 0x65, 0x50, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x22, 0x81, 0x01, 0x0a, 0x04, 0x48, 0x6f,
	0x73, 0x74, 0x12, 0x1f, 0x0a, 0x03, 0x43, 0x70, 0x75, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x0d, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x43, 0x70, 0x75, 0x52, 0x03,
	0x43, 0x70, 0x75, 0x12, 0x28, 0x0a, 0x06, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x4d,
	0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x06, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12, 0x2e, 0x0a,
	0x08, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x12, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x08, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0xb0, 0x03,
	0x0a, 0x08, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x1a, 0x0a, 0x08, 0x48, 0x6f,
	0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x48, 0x6f,
	0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x55, 0x70, 0x74, 0x69, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x06, 0x55, 0x70, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x1a,
	0x0a, 0x08, 0x42, 0x6f, 0x6f, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x08, 0x42, 0x6f, 0x6f, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x50, 0x72,
	0x6f, 0x63, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x04, 0x52, 0x05, 0x50, 0x72, 0x6f, 0x63, 0x73,
	0x12, 0x0e, 0x0a, 0x02, 0x4f, 0x53, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x4f, 0x53,
	0x12, 0x1a, 0x0a, 0x08, 0x50, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x50, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x12, 0x26, 0x0a, 0x0e,
	0x50, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x46, 0x61, 0x6d, 0x69, 0x6c, 0x79, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x50, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x46, 0x61,
	0x6d, 0x69, 0x6c, 0x79, 0x12, 0x28, 0x0a, 0x0f, 0x50, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x50,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x24,
	0x0a, 0x0d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x41, 0x72,
	0x63, 0x68, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x41, 0x72, 0x63, 0x68, 0x12, 0x32, 0x0a, 0x14, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x69,
	0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x14, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x12, 0x2e, 0x0a, 0x12, 0x56, 0x69, 0x72, 0x74,
	0x75, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x6f, 0x6c, 0x65, 0x18, 0x0c,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x56, 0x69, 0x72, 0x74, 0x75, 0x61, 0x6c, 0x69, 0x7a, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x6f, 0x6c, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x48, 0x6f, 0x73, 0x74,
	0x49, 0x44, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x44,
	0x22, 0x9e, 0x01, 0x0a, 0x0c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x49, 0x6e, 0x66,
	0x6f, 0x12, 0x18, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x47,
	0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x47, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x47, 0x6f, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x47, 0x6f,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x43, 0x6f, 0x6d, 0x70, 0x69,
	0x6c, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x43, 0x6f, 0x6d, 0x70, 0x69,
	0x6c, 0x65, 0x72, 0x12, 0x1c, 0x0a, 0x09, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x69, 0x6d, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x69, 0x6d,
	0x65, 0x22, 0xe1, 0x01, 0x0a, 0x08, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x18,
	0x0a, 0x07, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x4e, 0x75, 0x6d, 0x47,
	0x6f, 0x72, 0x6f, 0x75, 0x74, 0x69, 0x6e, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0c,
	0x4e, 0x75, 0x6d, 0x47, 0x6f, 0x72, 0x6f, 0x75, 0x74, 0x69, 0x6e, 0x65, 0x12, 0x10, 0x0a, 0x03,
	0x50, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x03, 0x50, 0x69, 0x64, 0x12, 0x1f,
	0x0a, 0x03, 0x43, 0x70, 0x75, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x6c, 0x69,
	0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x43, 0x70, 0x75, 0x52, 0x03, 0x43, 0x70, 0x75, 0x12,
	0x28, 0x0a, 0x06, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x10, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x4d, 0x65, 0x6d, 0x6f, 0x72,
	0x79, 0x52, 0x06, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12, 0x3a, 0x0a, 0x0c, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x73, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x16, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x49, 0x6e, 0x66, 0x6f, 0x32, 0xdc, 0x01, 0x0a, 0x08, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e,
	0x65, 0x72, 0x12, 0x42, 0x0a, 0x07, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x12, 0x18, 0x2e,
	0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e,
	0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x30, 0x01, 0x12, 0x44, 0x0a, 0x0c, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x1a,
	0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x46, 0x0a, 0x0d,
	0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x18, 0x2e,
	0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e,
	0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x42, 0x3b, 0x5a, 0x39, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x61, 0x66, 0x69,
	0x73, 0x2e, 0x6d, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x73, 0x2f, 0x6c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x2f, 0x69, 0x6e, 0x74, 0x65,
	0x72, 0x66, 0x61, 0x63, 0x65, 0x73, 0x3b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65,
	0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_monitor_proto_rawDescOnce sync.Once
	file_proto_monitor_proto_rawDescData = file_proto_monitor_proto_rawDesc
)

func file_proto_monitor_proto_rawDescGZIP() []byte {
	file_proto_monitor_proto_rawDescOnce.Do(func() {
		file_proto_monitor_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_monitor_proto_rawDescData)
	})
	return file_proto_monitor_proto_rawDescData
}

var file_proto_monitor_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_proto_monitor_proto_goTypes = []interface{}{
	(*ServicesResponse)(nil),  // 0: listener.ServicesResponse
	(*ParameterFunction)(nil), // 1: listener.ParameterFunction
	(*Vault)(nil),             // 2: listener.Vault
	(*RouterListener)(nil),    // 3: listener.RouterListener
	(*ServicesItems)(nil),     // 4: listener.ServicesItems
	(*MonitorRequest)(nil),    // 5: listener.MonitorRequest
	(*RateLimit)(nil),         // 6: listener.RateLimit
	(*MonitorResponse)(nil),   // 7: listener.MonitorResponse
	(*Cpu)(nil),               // 8: listener.Cpu
	(*Memory)(nil),            // 9: listener.Memory
	(*Host)(nil),              // 10: listener.Host
	(*HostInfo)(nil),          // 11: listener.HostInfo
	(*ServicesInfo)(nil),      // 12: listener.ServicesInfo
	(*Services)(nil),          // 13: listener.Services
	(*emptypb.Empty)(nil),     // 14: google.protobuf.Empty
}
var file_proto_monitor_proto_depIdxs = []int32{
	4,  // 0: listener.ServicesResponse.Methods:type_name -> listener.ServicesItems
	2,  // 1: listener.RouterListener.Vault:type_name -> listener.Vault
	1,  // 2: listener.ServicesItems.Input:type_name -> listener.ParameterFunction
	1,  // 3: listener.ServicesItems.Output:type_name -> listener.ParameterFunction
	10, // 4: listener.MonitorResponse.Host:type_name -> listener.Host
	13, // 5: listener.MonitorResponse.Services:type_name -> listener.Services
	6,  // 6: listener.MonitorResponse.RateLimit:type_name -> listener.RateLimit
	8,  // 7: listener.Host.Cpu:type_name -> listener.Cpu
	9,  // 8: listener.Host.Memory:type_name -> listener.Memory
	11, // 9: listener.Host.HostInfo:type_name -> listener.HostInfo
	8,  // 10: listener.Services.Cpu:type_name -> listener.Cpu
	9,  // 11: listener.Services.Memory:type_name -> listener.Memory
	12, // 12: listener.Services.ServicesInfo:type_name -> listener.ServicesInfo
	5,  // 13: listener.Listener.Monitor:input_type -> listener.MonitorRequest
	14, // 14: listener.Listener.ListServices:input_type -> google.protobuf.Empty
	5,  // 15: listener.Listener.CurrentStatus:input_type -> listener.MonitorRequest
	7,  // 16: listener.Listener.Monitor:output_type -> listener.MonitorResponse
	0,  // 17: listener.Listener.ListServices:output_type -> listener.ServicesResponse
	7,  // 18: listener.Listener.CurrentStatus:output_type -> listener.MonitorResponse
	16, // [16:19] is the sub-list for method output_type
	13, // [13:16] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_proto_monitor_proto_init() }
func file_proto_monitor_proto_init() {
	if File_proto_monitor_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_monitor_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServicesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ParameterFunction); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vault); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouterListener); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServicesItems); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonitorRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RateLimit); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonitorResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Cpu); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Memory); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Host); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HostInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServicesInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_monitor_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Services); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_monitor_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_monitor_proto_goTypes,
		DependencyIndexes: file_proto_monitor_proto_depIdxs,
		MessageInfos:      file_proto_monitor_proto_msgTypes,
	}.Build()
	File_proto_monitor_proto = out.File
	file_proto_monitor_proto_rawDesc = nil
	file_proto_monitor_proto_goTypes = nil
	file_proto_monitor_proto_depIdxs = nil
}
